# Commands in /vis/scene/

## /vis/scene/

Operations on Geant4 scenes.

## Sub-directories :

/vis/scene/add/

  Add model to current scene.

## Commands :

create [scene-name]

  Creates an empty scene.
  Invents a name if not supplied. This scene becomes current.

  Available at all Geant4 states.

  Parameters

  scene-name | type s | Omittable : default value = |

endOfEventAction [action]

  Accumulate or refresh the viewer for each new event.
  "accumulate": viewer accumulates hits, etc., event by event, or
  "refresh": viewer shows them at end of event or, for direct-screen viewers, refreshes the screen just before drawing the next event.
  The detector remains or is redrawn.

  Available at all Geant4 states.

  Parameters

  action | type s | Omittable : default value = refresh | Parameter candidates : accumulate refresh

endOfRunAction [action]

  Accumulate or refresh the viewer for each new run.
  "accumulate": viewer accumulates hits, etc., run by run, or
  "refresh": viewer shows them at end of run or, for direct-screen viewers, refreshes the screen just before drawing the first event of the next run.
  The detector remains or is redrawn.

  Available at all Geant4 states.

  Parameters

  action | type s | Omittable : default value = refresh | Parameter candidates : accumulate refresh

list [scene-name] [verbosity]

  Lists scene(s).
  "help /vis/verbose" for definition of verbosity.

  Available at all Geant4 states.

  Parameters

  scene-name | type s | Omittable : default value = all |
  verbosity | type s | Omittable : default value = 0 |

notifyHandlers [scene-name] [refresh-flush]

  Notifies scene handlers and forces re-rendering.
  Notifies the handler(s) of the specified scene and forces a reconstruction of any graphical databases. Clears and refreshes all viewers of current scene. The default action "refresh" does not issue "update" (see /vis/viewer/update). If "flush" is specified, it issues an "update" as well as "refresh" - useful for refreshing and initiating post-processing for graphics systems which need post-processing.
  The default for <scene-name> is the current scene name.
  This command does not change current scene, scene handler or viewer.

  Available at all Geant4 states.

  Parameters

  scene-name | type s | Omittable : current value is used as the default value. |
  refresh-flush | type s | Omittable : default value = refresh | Parameter candidates : refresh flush

select [scene-name]

  Selects a scene
  Makes the scene current. "/vis/scene/list" to see possible scene names.

  Available at all Geant4 states.

  Parameters

  scene-name | type s |  |